Subject: Re: [PATCH] read-cache.c: Ensure unmerged entries are removed

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Aug 2014 11:31:49 -0700

Jaime Soriano Pastor <[email-masked]> writes:

> A file in the index can be left as merged and unmerged at the same time
> by some tools as libgit2, this causes some undesiderable behaviours in git.

Well, doesn't it mean that libgit2 is broken?  Have you filed a bug
over there yet?

Having said that, protecting ourselves from insanity left by other
people is always a good idea, provided that it can be done without
bending overly backwards.